rte_swx_table_ops(3)

NAME
rte_swx_table_ops

SYNOPSIS

#include <rte_swx_table.h>

  Data Fields

rte_swx_table_footprint_get_t footprint_get
rte_swx_table_mailbox_size_get_t mailbox_size_get
rte_swx_table_create_t create
rte_swx_table_add_t add
rte_swx_table_delete_t del
rte_swx_table_lookup_t lkp
rte_swx_table_free_t free

Detailed Description

Table operations.

Definition at line 284 of file rte_swx_table.h.

Field Documentation

  rte_swx_table_footprint_get_t footprint_get
Table memory footprint get. Set to NULL when not supported.

Definition at line 286 of file rte_swx_table.h.

  rte_swx_table_mailbox_size_get_t mailbox_size_get
Table mailbox size get. When NULL, the mailbox size is 0.

Definition at line 289 of file rte_swx_table.h.

  rte_swx_table_create_t create
Table create. Must be non-NULL.

Definition at line 292 of file rte_swx_table.h.

  rte_swx_table_add_t add
Incremental table entry add. Set to NULL when not supported, in which case the existing table has to be destroyed and a new table built from scratch with the new entry included.

Definition at line 298 of file rte_swx_table.h.

  rte_swx_table_delete_t del
Incremental table entry delete. Set to NULL when not supported, in which case the existing table has to be destroyed and a new table built from scratch with the entry excluded.

Definition at line 304 of file rte_swx_table.h.

  rte_swx_table_lookup_t lkp
Table lookup. Must be non-NULL.

Definition at line 307 of file rte_swx_table.h.

  rte_swx_table_free_t free
Table free. Must be non-NULL.

Definition at line 310 of file rte_swx_table.h.

Author

Generated automatically by Doxygen for DPDK from the source code.